/* Main block and structure of site */

body {
    margin: 0;
    padding: 0;
}

#main {
    overflow-x: hidden;
}

.headpage {
    margin-bottom: 5em;
}

#first-block {
    display: inline-block;
    text-align: center;
    background-color: rgb(222, 43, 36);
    width: 100%;
    height: auto;
    padding-right: auto;
    padding-bottom: 15rem;
    padding-top: 5rem;
}

#second-block {
    display: inline-block;
    text-align: center;
    background-color: rgb(18, 134, 191);
    height: auto;
    padding-bottom: 15rem;
    padding-top: 5rem;
    width: 100%;
}

#footer {
    display: inline-block;
    text-align: center;
    background-color: rgb(42, 42, 42);
    height: auto;
    padding-top: 10rem;
    padding-bottom: 10rem;
    width: 100%;
}

#bottom-panel {
    background-color: rgb(81, 81, 81);
    text-align: center;
    width: 100%;
    max-height: 5%;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-size: 0.8rem;
    position: fixed;
    bottom: 0;
}

/*Text and Fonts*/

land-page-h1,
land-page-h2 {
    color: white;
    font-weight: bold;
    font-size: 2rem;
    line-height: 1rem;
    font-family: Geneva, Arial, Helvetica, sans-serif;
} 

land-page-h2 {
    font-size: 0.9rem;
}

head-text,
caption-head {
    color: white;
    text-align: center;
    font-weight: normal;
}

head-text {
    font-family: Geneva, Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 3rem;
}

caption-head {
    display: block;
    font-family: "Century Gothic", sans-serif;
    font-size: 2rem;
}

authorization-block-text {
    display: inline-block;
    color: grey;
    font-size: 1rem;
    font-weight: normal;
    font-family: Geneva, Arial, Helvetica, sans-serif;
    margin-left: 3rem;
    margin-right: 3rem;
    text-align: center;
    line-height: 1.5rem;
    position: relative;
    hyphens: auto;
}

foot-text {
    display: block;
    color: rgba(255, 255, 255, 0.671);
    font-size: 1rem;
    font-weight: normal;
    font-family: Geneva, Arial, Helvetica, sans-serif;
    text-align: center;
    line-height: 1.5rem;
    hyphens: auto;
}

/* Animation */

.block-with-image:hover {
    transform: scale(1.5);
    position: relative;
    filter: grayscale(100%);
}
.block-without-image:hover {
    opacity: 0.3;
    transform: scale(1.3);
    position: relative;
}

.social-networks:hover {
    border-color: red;
}

/* Buttons */

.drop-down-button {
    display: block;
    font-size: 9rem;
    text-align: center;

}

.drop-down-button>* {
    font-size: 16px;
}

.close-button {
    font-size: 2rem;
    width: 10%;
    position: relative;
    margin-left: auto;
    margin-right: -2rem;
    margin-top: -1rem;
}

#button-submit {
    display: inline-block;
    background-color: rgb(222, 43, 36);
    border-radius: 0.25rem;
    border: 0.05rem solid rgb(175, 1, 1);
    margin-top: 2em;
    margin-bottom: 4rem;
    color: white;
    font-size: 1rem;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    max-width: 100%;
}

#button-subscribe {
    display: inline-block;
    background-color: rgb(42, 42, 42);
    border-color: rgb(81, 81, 81);
    border: 0.10rem solid rgb(81, 81, 81);
    outline: none;
    border-radius: 0.25rem;
    margin-top: 1rem;
    color: white;
    font-size: 1rem;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

/* Design of buttons */

cbord {
    background-color: rgb(222, 43, 36);
    border: 0.05rem solid #ffffff;
    border-radius: 1.5rem;
    text-align: center;
    width: 3rem;
    height: 3rem;
    color: white;
    transform: rotate(180deg);
    display: inline-block;
}

csign {
    font-size: 2rem;
    line-height: 3rem;
    color: white;
    font-weight: normal;
    font-family: "Century Gothic", sans-serif;
}

ddbord {
    border: 0.2rem solid #ffffff;
    border-radius: 5rem;
    width: 4rem;
    height: 4rem;
    color: white;
    transform: rotate(180deg);
    display: inline-block;
  }
  ddbord div {
    transform: scaleX(2) scaleY(1.3);
} 

ddsign {
    font-size: 2rem;
    line-height: 4rem;
    color: white;
    font-weight: normal;
    font-family: "Century Gothic", sans-serif;
    
}

/*Some installation*/

.block-with-image img {
    margin-left: -5rem;
}

#first-block div {
    display: inline-block;
    vertical-align: middle;
}

.block-with-image {
    width: 16rem;
    height: 16rem;
    overflow: hidden;
    transition: 0.7s;
}

.image-block {  
    display: inline-block;
    max-width: 64rem;
    font-size: 0;
}

.image-block div {
    font-size: 16px;
}

.block-without-image {
    display: inline-block;
    width: 16em;
    height: 16em;
    background-color: rgba(255, 255, 255, 0.308);
    transition: 0.7s;
}

.structure_block {
    padding: 1rem;
    padding-top: 5rem;
}

/*Authorization block*/

.authorization-block {
    display: inline-block;
    text-align: center;
    border: 0.05rem solid #ffffff;
    border-radius: 0.5rem;
    width: 50rem;
    max-width: 100%;
    height: auto;
    background-color: white;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5rem;
}

#name,
#number,
#company {
    border: 0.05rem solid rgb(210, 210, 210);
    border-radius: 0.25rem;
    display: inline-block;
    width: 30rem;
    font-size: 1rem;
    line-height: 4rem;
    position: relative;
    margin-top: 1rem;
    padding-left: 3rem;
}

#name {
    margin-top: 5rem;
} 

.subscribe-form {
    display: block;
}

#email {
    display: inline-block;
    background-color:rgb(81, 81, 81);
    border: 0.10rem solid rgb(81, 81, 81);
    border-radius: 0.25rem;
    outline: none;
    color: white;
    font-size: 0.7rem;
    padding: 1rem;
    margin: 2rem;
    width: 50%;
    height: 2em;
    text-align: left;
}

/*Structure figures*/

.triangle-figure {
    transform: rotate(45deg);
     background-color: white;
     width: 3rem;
     height: 3rem;
     margin-top: -3rem;
     margin-left: auto;
     margin-right: auto;
     position: relative;
}

.social-networks {
    display: inline-block;
    border: 0.05rem solid #ffffff3f;
    border-radius: 0.5rem;
    width: 4rem;
    height: 4rem;
    overflow: hidden;
    margin-right: 1rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
    transition: 0.7s;
}

.social-networks img {
    vertical-align: center;
    margin-top: 1rem;
}

.form-group {
    display: inline-block;
    text-align: center;
    color: rgb(210, 210, 210);
}